export interface ElderLeaveVO {
  /**
   * 主键
   */
  id: string | number;

  /**
   * 创建时间
   */
  createTime: string;

  /**
   * 老人姓名
   */
  elderName: string;

  /**
   * 老人编号
   */
  elderSn: string;

  /**
   * 外出时间
   */
  leaveTime: string;

  /**
   * 预计返回时间
   */
  expectedReturnTime: string;

  /**
   * 回院状态, dict: inst_return_status
   */
  returnStatus: number;

  /**
   * 实际返回时间
   */
  actualReturnTime: string;

  /**
   * 外出事由
   */
  leaveReason: string;

  /**
   * 审批人
   */
  approver: number;

  /**
   * 审批状态, dict_type: inst_approval_status
   */
  approvalStatus: number;

  /**
   * 回院状态确认人
   */
  returnStatusRecognizer: number;

}

export interface ElderLeaveForm extends BaseEntity {
  /**
   * 主键
   */
  id?: string | number;

  /**
   * 老人姓名
   */
  elderName?: string;

  /**
   * 老人编号
   */
  elderSn?: string;

  /**
   * 外出时间
   */
  leaveTime?: string;

  /**
   * 预计返回时间
   */
  expectedReturnTime?: string;

  /**
   * 实际返回时间
   */
  actualReturnTime?: string;

  /**
   * 外出事由
   */
  leaveReason?: string;

  /**
   * 回院状态确认人
   */
  returnStatusRecognizer?: number;

  /**
   * 是否自动审批
   */
  autoApprove?: boolean;
}

export interface ElderLeaveQuery extends PageQuery {

  /**
   * 老人姓名
   */
  elderName?: string;

  /**
   * 老人编号
   */
  elderSn?: string;

  /**
   * 外出时间
   */
  leaveTime?: string;

  /**
   * 预计返回时间
   */
  expectedReturnTime?: string;

  /**
   * 回院状态, dict: inst_return_status
   */
  returnStatus?: number;

  /**
   * 实际返回时间
   */
  actualReturnTime?: string;

  /**
   * 审批人
   */
  approver?: number;

  /**
   * 审批状态, dict_type: inst_approval_status
   */
  approvalStatus?: number;

  /**
   * 回院状态确认人
   */
  returnStatusRecognizer?: number;

  /**
   * 日期范围参数
   */
  params?: any;
}



