export interface HandoverVO {
  /**
   * 主键
   */
  id: string | number;

  /**
   * 操作人
   */
  userId: string | number;

  /**
   * 创建时间
   */
  createTime: string;

  /**
   * 更新时间
   */
  updateTime: string;

  /**
   * 更新操作人
   */
  updateBy: number;

  /**
   * 交班员
   */
  handoverInitiator: number;

  /**
   * 接收时间
   */
  receiveTime: string;

  /**
   * 接班员
   */
  handoverRecipient: number;

  /**
   * 备注
   */
  remark: string;

  /**
   * 交班开始时间
   */
  startTime: string;

  /**
   * 交班结束时间
   */
  endTime: string;

}

export interface HandoverForm extends BaseEntity {
  /**
   * 主键
   */
  id?: string | number;

  /**
   * 交班员
   */
  handoverInitiator?: number;

  /**
   * 接收时间
   */
  receiveTime?: string;

  /**
   * 接班员
   */
  handoverRecipient?: number;

  /**
   * 备注
   */
  remark?: string;

  /**
   * 交班开始时间
   */
  startTime?: string;

  /**
   * 交班结束时间
   */
  endTime?: string;

}

export interface HandoverQuery extends PageQuery {

  /**
   * 交班员
   */
  handoverInitiator?: number;

  /**
   * 接收时间
   */
  receiveTime?: string;

  /**
   * 接班员
   */
  handoverRecipient?: number;

  /**
   * 交班开始时间
   */
  startTime?: string;

  /**
   * 交班结束时间
   */
  endTime?: string;

    /**
     * 日期范围参数
     */
    params?: any;
}



