export interface PatrolRecordsVO {
  /**
   * 记录ID
   */
  id: string | number;

  /**
   * 巡更日期
   */
  patrolDate: string;

  /**
   * 巡更类型
   */
  patrolType: string;

  /**
   * 巡更项目
   */
  patrolItem: string;

  /**
   * 巡更时段
   */
  patrolPeriod: string;

  /**
   * 巡更人员
   */
  patrolPersonnel: string;

  /**
   * 巡更状态
   */
  patrolStatus: string;

  /**
   * 操作类型
   */
  operationType: string;

  /**
   * 异常时间
   */
  exceptionTime: string;

  /**
   * 异常描述
   */
  exceptionDescription: string;

  /**
   * 处理措施
   */
  correctiveAction: string;

  /**
   * 结束时间
   */
  endTime: string;

  /**
   * 结束描述
   */
  endDescription: string;

  /**
   * 备注
   */
  remarks: string;

  /**
   * 用户ID
   */
  userId: string | number;

  /**
   * 部门ID
   */
  deptId: string | number;

}

export interface PatrolRecordsForm extends BaseEntity {
  /**
   * 记录ID
   */
  id?: string | number;

  /**
   * 巡更日期
   */
  patrolDate?: string;

  /**
   * 巡更类型
   */
  patrolType?: string;

  /**
   * 巡更项目
   */
  patrolItem?: string;

  /**
   * 巡更时段
   */
  patrolPeriod?: string;

  /**
   * 巡更人员
   */
  patrolPersonnel?: string;

  /**
   * 巡更状态
   */
  patrolStatus?: string;

  /**
   * 操作类型
   */
  operationType?: string;

  /**
   * 异常时间
   */
  exceptionTime?: string;

  /**
   * 异常描述
   */
  exceptionDescription?: string;

  /**
   * 处理措施
   */
  correctiveAction?: string;

  /**
   * 结束时间
   */
  endTime?: string;

  /**
   * 结束描述
   */
  endDescription?: string;

  /**
   * 备注
   */
  remarks?: string;

  /**
   * 用户ID
   */
  userId?: string | number;

  /**
   * 部门ID
   */
  deptId?: string | number;

}

export interface PatrolRecordsQuery extends PageQuery {

  /**
   * 巡更日期
   */
  patrolDate?: string;

  /**
   * 巡更类型
   */
  patrolType?: string;

  /**
   * 巡更项目
   */
  patrolItem?: string;

  /**
   * 巡更时段
   */
  patrolPeriod?: string;

  /**
   * 巡更人员
   */
  patrolPersonnel?: string;

  /**
   * 巡更状态
   */
  patrolStatus?: string;

  /**
   * 操作类型
   */
  operationType?: string;

  /**
   * 异常时间
   */
  exceptionTime?: string;

  /**
   * 异常描述
   */
  exceptionDescription?: string;

  /**
   * 处理措施
   */
  correctiveAction?: string;

  /**
   * 结束时间
   */
  endTime?: string;

  /**
   * 结束描述
   */
  endDescription?: string;

  /**
   * 备注
   */
  remarks?: string;

  /**
   * 用户ID
   */
  userId?: string | number;

  /**
   * 部门ID
   */
  deptId?: string | number;

    /**
     * 日期范围参数
     */
    params?: any;
}



